Subject: Re: [PATCH v5 0/2] shallow: handling fetch relative-deepen

From: Junio C Hamano <[email-masked]>
Date: Fri, 20 Feb 2026 14:34:45 -0800

"Samo Pogačnik via GitGitGadget" <[email-masked]> writes:

> When a shallowed repository gets deepened beyond the beginning of a merged
> branch, we may endup with some shallows, that are behind the reachable ones.
> Added test 'fetching deepen beyond merged branch' exposes that behaviour.

We didn't see any response to the latest round, and the comments on
previous rounds seem to have been addressed.  Is this ready to be
merged down to 'next' now?

Thanks.